[SciPy-user] Scipy on MacOS X, troubles

Erin Sheldon erin.sheldon at gmail.com
Sun Nov 5 23:21:46 CST 2006


On 11/5/06, Robert Kern <robert.kern at gmail.com> wrote:
> Erin Sheldon wrote:
> > I'm not sure, but I find it odd that it is using /usr/bin/gcc after
> > compiling gcc4.    But because it worked for me I never bothered
> > to look at the compilation. I'm not sure how this
> > differs from my install.
>
> The cc_dynamic library only comes with gcc 3.3. If you are using g77, you need
> to use gcc 3.3. If you are using gfortran, you need to use gcc 4. GnuFCompiler
> (for g77) adds -lcc_dynamic; Gnu95FCompiler (for gfortran) does not.

Exactly.  MacPorts compiled gcc4.1 and gfortran. But
now it's trying to use gcc4.0, gcc3.3, and g77 in /usr/bin rather than
gcc4.1 and gfortran in /opt/local/bin.  Some kind of path issue?

Erin


More information about the SciPy-user mailing list